:root {
  --background-light: #ffffff;
  --background-grey: #f0f0f0;
  --background-dark: #444444;
  --orange: #ed786a;
  --orange-hover: #fd887a;
  --red: #cc0000;
  --light-gray: #e5e5e5;
  --white: #ffffff;
  --light-grey: #888888;
  --middle-grey: #777777;
  --grey: #666666;
  --dark-grey: #3c3c3c;

  --text-shadow: 2px 2px 1px rgba(136, 136, 136, 0.5);
  --box-shadow: 3px 3px 1px 0px rgba(136, 136, 136, 0.4);
  --border-radius: 4px;
  --border-picture: 8px solid var(--background-grey);
}

.container-content {
  display: flex;
  flex-direction: column;
  margin: auto;
  width: 80%;
}
#layer.modal-hidden {
  visibility: hidden;
}
#modal {
  background: var(--white);
  border: var(--border-picture);
  left: 50%;
  padding: 25px 10px 0;
  position: relative;
  text-align: left;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 550px;
}

    #modal button {
    margin-top: 30px;
    width: 500px;
    }
#layer {
  background: black;
  height: 100%;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10000;
}

body {
  display: flex;
  font-family: "Source Sans Pro";
  flex-direction: column;
}

h3 {
  color: var(--middle-grey);
  font-weight: 600;
  font-size: 1.6rem;
  margin-bottom: 30px;
  letter-spacing: 0.2rem;
  text-align: center;
  text-transform: uppercase;
}

p {
  color: var(--light-grey);
  line-height: 1.4;
  font-size: 1.3rem;
}

    p a {
    text-decoration: underline  dotted var(--light-grey);
    }

strong {
  color: var(--middle-grey);
}

.separator {
  background: var(--light-gray);
  border-radius: var(--border-radius);
  height: 3px;
  opacity: 0.8;
  margin: 5px 0;
  width: 100%;
}

button {
  background: var(--orange);
  box-shadow: var(--box-shadow);
  border-radius: var(--border-radius);
  color: var(--white);
  margin-bottom: 50px;
  padding: 20px 50px;
  font-size: 1.2rem;
  font-weight: 400;
  text-transform: uppercase;
  width: 100%;
}

    button:hover {
    background: var(--orange-hover);
    }

    button i {
    opacity: 0.7;
    }

#name-place,
#mail-place {
  display: flex;
  flex-direction: column;
}

/* Background bas de page*/
.background {
  background: var(--background-grey);
  border-top: 2px solid var(--light-gray);
}

/*** MOBILE FIRST ***/

body.menu-actived {
  margin-left: 250px;
  min-width: 100%;
  overflow: hidden;
}

.menu {
  display: none;
  margin-left: -250px;
  position: relative;
  width: 250px;
}

    .menu.active {
    background-color: var(--dark-grey);
    display: block;
    height: 100vh;
    left: 0;
    position: fixed;
    top: 0;
    transform: translate(250px);
    z-index: 250;
    }

        .menu.active a {
        border-bottom: 1px var(--background-dark) solid;
        color: var(--white);
        display: block;
        font-size: 0.8rem;
        font-weight: 600;
        padding: 10px 5px;
        }

.menu.active li ul {
  padding: 10px;
}

    .menu.active li ul a {
    color: var(--middle-grey);
    }

.menu.active i {
  display: none;
}

.mainWrapper {
  left: 5px;
  position: absolute;
  top: 5px;
  z-index: 650;
}

.mainWrapper.menu-actived {
  margin-left: 250px;
}

.menuIcons {
  align-items: center;
  background: var(--light-gray);
  box-shadow: var(--box-shadow);
  border-radius: var(--border-radius);
  display: flex;
  height: 60px;
  left: 5px;
  justify-content: center;
  flex-direction: column;
  top: 5px;
  width: 80px;
  z-index: 50;
}

    .menuIcons div {
    background-color: var(--light-grey);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.3);
    border-radius: 5px;
    height: 5px;
    margin: 3px 0;
    opacity: 0.7;
    width: 25px;
    }

/* animation bouton */

.line1 {
  animation: animateLine1-rev 0.7s forwards;
}

.line2 {
  animation: animateLine2-rev 0.7s forwards;
}

.line3 {
  animation: animateLine3-rev 0.7s forwards;
}

.no-active {
  animation: none !important;
}

@keyframes animateLine1-rev {
  0% {
    transform: translate3d(0, 33px, 0) rotate(45deg);
  }
  50% {
    transform: translate3d(0, 33px, 0) rotate(0);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}

@keyframes animateLine2-rev {
  0% {
    transform: scale(0);
    opacity: 0;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}

@keyframes animateLine3-rev {
  0% {
    transform: translate3d(0, -33px, 0) rotate(135deg);
  }
  50% {
    transform: translate3d(0, -33px, 0) rotate(0);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}

.menuIcons.active .line1 {
  animation: animateLine1 0.7s forwards;
}

.menuIcons.active .line2 {
  animation: animateLine2 0.7s forwards;
}

.menuIcons.active .line3 {
  animation: animateLine3 0.7s forwards;
}

@keyframes animateLine1 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(0, 19px, 0) rotate(0);
  }
  100% {
    transform: translate3d(0, 19px, 0) rotate(45deg);
  }
}

@keyframes animateLine2 {
  0% {
    transform: scale(1);
    opacity: 1;
  }
  100% {
    transform: scale(0);
    opacity: 0;
  }
}

@keyframes animateLine3 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(0, -19px, 0) rotate(0);
  }
  100% {
    transform: translate3d(0, -19px, 0) rotate(135deg);
  }
}

/*BRAND-NAME*/

.brand-name {
  margin: 100px 0;
  text-align: center;
}

    .brand-name h1 {
    color: var(--orange);
    letter-spacing: 1.1rem;
    margin-bottom: 20px;
    font-family: "Arvo";
    font-size: 3rem;
    text-transform: uppercase;
    text-shadow: var(--text-shadow);
    }

    .brand-name p {
    letter-spacing: 3px;
    font-weight: 400;
    text-transform: uppercase;
    }

/***LAST NEWS***/
.last-news {
  align-items: center;
  display: flex;
  flex-direction: column;
  margin: 50px auto;
  width: 90%;
}

    .last-news h1 {
    color: var(--light-grey);
    font-size: 1.8rem;
    margin-bottom: 30px;
    text-transform: uppercase;
    }

    .last-news article {
    display: flex;
    flex-direction: column;
    margin: auto;
    text-align: center;
    }

        .last-news article img {
        border: var(--border-picture);
        width: 100%;
        }

        .last-news article h2 {
        color: var(--light-grey);
        font-size: 1.6rem;
        font-weight: 600;
        letter-spacing: 0.2rem;
        margin: 30px 0;
        text-transform: uppercase;
        width: 100%;
        }

    .last-news article p {
    font-size: 1.3rem;
    margin-bottom: 40px;
    }

/*** CITATION ***/
.citation {
  margin: 10px 0;
  overflow: hidden;
  position: relative;
  z-index: 1;
}

    .citation img {
    height: auto;
    min-width: 1600px;
    }

    .citation .text-block {
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    z-index: 20;
    }

        .citation .text-block p {
        color: var(--white);
        font-size: 1.5rem;
        letter-spacing: 0.7rem;
        text-transform: uppercase;
        text-align: center;
        }

    .citation .bold {
    font-weight: 600;
    }

    .citation .italic {
    font-style: italic;
    text-transform: uppercase;
    }

/*** OTHERS ARTICLES ***/
.other-articles {
  align-items: center;
  display: flex;
  flex-direction: column;
  margin: 45px auto;
}

    .principal-other-articles article h4 {
    color: var(--light-grey);
    font-size: 1.6rem;
    letter-spacing: 0.2rem;
    line-height: 1.6;
    text-align: center;
    text-transform: uppercase;
    }

    .principal-other-articles article img {
    border: var(--border-picture);
    margin: 30px auto;
    }

    .principal-other-articles article p {
    font-size: 1.3rem;
    line-height: 1.5;
    margin-bottom: 30px;
    text-align: justify;
    }

.secondary-other-articles article .date {
  background-color: var(--middle-grey);
  border-radius: var(--border-radius);
  box-shadow: var(--box-shadow);
  color: var(--white);
  margin: 50px auto 50px;
  padding: 5px 5px;
  text-align: center;
  width: 140px;
}

    .secondary-other-articles article p {
    margin-bottom: 50px;
    }

/* MERCH */
.merch article h3 {
  margin-top: 40px;
}

.offer-container img {
  border: var(--border-picture);
  float: left;
  margin: 15px 25px 0 0;
  width: 150px;
}

.offer-container p {
  margin-bottom: 40px;
  text-align: justify;
}

.plante {
  margin-top: 20px;
}

/*** FORM ***/

.form-zone {
  margin: 50px auto 80px;
}

.form-container form {
  display: flex;
  flex-direction: column;
}

    .form-container form input,
    .form-container form textarea {
    box-shadow: inset 3px 3px var(--light-gray);
    border-radius: var(--border-radius);
    border: none;
    margin-bottom: 20px;
    padding: 20px;
    width: 100%;
    }

.input-flex {
  display: flex;
  flex-direction: column;
}

.form-container [placeholder] {
  font-family: "Source Sans Pro";
  font-size: 1.2rem;
}

/* SOCIAL MEDIA */

.location > p {
  margin-bottom: 30px;
}

.location ul {
  text-align: left;
}

.location li {
  color: var(--light-grey);
  display: flex;
  font-size: 1.3rem;
  margin-bottom: 50px;
}

    .location li a {
    display: inline-block;
    text-decoration: underline solid var(--light-grey);
    }

.location i {
  border-radius: 50%;
  background-color: var(--middle-grey);
  color: var(--white);
  font-size: 1rem;
  height: 30px;
  margin: 0 25px 0 0;
  text-align: center;
  padding-top: 7px;
  width: 30px;
}

footer {
  margin: auto;
  text-align: center;
  width: 80%;
}

    footer p {
    margin-top: 75px;
    padding-bottom: 25px;
    }

/***MEDIA 767 A 991*/

@media (min-width: 767px) and (max-width: 991px) {
  .container-content {
    display: flex;
    flex-direction: column;
    margin: auto;
    width: 90%;
  }

  /***LAST NEWS***/
  .last-news-container {
    display: flex;
    justify-content: space-between;
    margin: 0 0 0 20px;
    text-align: center;
  }

  .last-news {
    width: 100%;
  }

  .last-news h1 {
    font-size: 1.8rem;
    margin: 50px 0 30px 0;
  }

  .last-news article {
    margin: 0 25px 0 0;
    width: 33%;
  }

  .last-news article h2 {
    font-size: 0.9rem;
    letter-spacing: 0.1rem;
    margin: 50px 0 30px 0;
  }

  .last-news article p {
    font-size: 1rem;
    margin-bottom: 40px;
  }
  .last-news button {
    font-size: 0.9rem;
    height: 60px;
    width: 33%;
  }

  /*** OTHER ARTICLES ***/
  .other-articles {
    align-items: normal;
    flex-direction: row;
  }

  .principal-other-articles {
    margin-right: 30px;
  }

  .principal-other-articles article h3 {
    font-size: 1.2rem;
    text-align: left;
  }

  .principal-other-articles article h4 {
    text-align: left;
  }

  .principal-other-articles article p {
    font-size: 1rem;
  }

  .principal-other-articles article button {
    font-size: 0.8rem;
    padding: 15px 10px;
    width: 250px;
  }

  /* SECONDARY OTHER ARTICLES */
  .aside-articles {
    min-width: 33%;
  }

  .aside-articles p {
    font-size: 1rem;
  }

  .aside-articles h3 {
    font-size: 1.1rem;
  }

  .secondary-other-articles article .date {
    margin: 50px 0 50px 0;
  }

  /* MERCH */
  .merch article h3 {
    text-align: left;
  }

  .merch button {
    font-size: 0.8rem;
    padding: 15px 10px;
    width: 250px;
  }

  .offer-container img {
    float: none;
    margin: 15px 25px 10px 0;
    width: 180px;
  }

  .offer-container p {
    text-align: left;
  }

  /*** FORM ***/
  .form-list-container {
    display: flex;
    justify-content: space-between;
  }

  .input-flex {
    flex-direction: row;
    justify-content: space-between;
  }

  .form-container form input,
  .form-container form textarea {
    margin-bottom: 20px;
    padding: 10px;
    width: 200px;
  }

  .form-container form textarea {
    width: 100%;
  }
  .form-zone h3 {
    font-weight: 400;
  }
  .form-container [placeholder] {
    font-size: 1rem;
  }

  .form-container button {
    text-align: center;
    font-size: 0.8rem;
    padding: 15px 10px;
    width: 250px;
  }

  /* LIST SOCIAL MEDIA */
  .location {
    margin-left: 20px;
  }

  .location ul {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    max-height: 50%;
  }

  .location li {
    font-size: 0.8rem;
    margin-bottom: 30px;
  }
  .location li a {
    width: 120px;
  }
  /*** FOOTER ***/

  footer p {
    margin: 40px 0 0 0;
    padding-bottom: 75px;
  }
}

/***MEDIA > 991*/
@media (min-width: 992px) {
  .menu {
    display: flex;
    justify-content: space-between;
    margin: 50px auto 25px;
    width: 100%;
  }

  .mainWrapper {
    display: none;
  }

  .menu li a {
    display: block;
    color: var(--light-grey);
    letter-spacing: 0.2rem;
  }
  .menu li:nth-child(2) {
    padding-bottom: 20px;
  }
  .menu ul {
    margin-bottom: 20px;
  }

  .menu li a {
    color: var(--light-grey);
    letter-spacing: 0.2rem;
  }

  .menu li ul {
    background: rgba(255, 255, 255, 0.9);
    display: none;
    margin-top: 10px;
  }

  .menu li i {
    border-radius: 50%;
    background-color: var(--middle-grey);
    color: var(--white);
    font-size: 1rem;
    height: 30px;
    margin-right: 5px;
    text-align: center;
    padding: 7px 0 5px 0;
    width: 30px;
  }

  .menu li:hover i {
    background-color: var(--orange-hover);
  }

  .menu li:hover > a {
    color: var(--orange-hover);
  }

  /* Second level menu*/
  .menu li:hover > ul {
    border-radius: var(--border-radius);
    border: 1px solid var(--light-grey);
    display: block;
    position: absolute;
    z-index: 1000;
  }

  .menu li:hover > ul::before,
  .menu li:hover > ul::after {
    background-color: transparent;
    border-style: solid;
    border-width: 0 10px 10px 10px;
    border-color: transparent transparent var(--light-grey) transparent;
    content: "";
    height: 0;
    left: 5px;
    position: absolute;
    top: -10px;
    width: 0;
    z-index: 1000;
  }
  .menu li:hover > ul::before {
    border-style: solid;
    border-width: 0 10px 10px 10px;
    border-color: transparent transparent var(--white) transparent;
    top: -8px;
    z-index: 1001;
  }
  .menu li ul li a {
    padding: 15px 25px;
  }

  .menu li ul li {
    text-transform: capitalize;
  }

  .menu li ul li {
    border-bottom: 1px solid black;
    padding: 5px 0;
  }

  /* third level */
  .menu li ul li ul {
    bottom: -35%;
    left: 100%;
  }

  .menu li ul li:hover ul::before,
  .menu li ul li:hover ul::after {
    border-width: 0;
    content: "";
  }

  /*** LAST ARTICLE ***/
  .container-content {
    display: flex;
    flex-direction: column;
    width: 90%;
  }

  /***LAST NEWS***/
  .last-news-container {
    display: flex;
    justify-content: space-between;
    text-align: center;
  }

  .last-news {
    width: 100%;
  }

  .last-news h1 {
    font-size: 1.8rem;
    margin: 50px 0 30px 0;
  }

  .last-news article {
    margin: 0 auto;
    width: 33%;
  }

  .last-news article h2 {
    font-size: 1rem;
    margin: 50px 0 30px 0;
  }
  .last-news article img {
    margin: 0 auto;
    width: 90%;
  }
  .last-news article p {
    font-size: 1rem;
    margin: 0 auto 40px;
    width: 80%;
  }

  .last-news button {
    font-size: 0.9rem;
    width: 33%;
  }

  /*** OTHER ARTICLES ***/
  .other-articles {
    align-items: normal;
    flex-direction: row;
  }

  .principal-other-articles {
    margin-right: 30px;
  }

  .principal-other-articles article h3 {
    font-size: 1.2rem;
    text-align: left;
  }

  .principal-other-articles article h4 {
    text-align: left;
  }

  .principal-other-articles article p {
    font-size: 1rem;
  }

  .principal-other-articles article button {
    font-size: 0.8rem;
    padding: 15px 10px;
    width: 250px;
  }

  /* SECONDARY OTHER ARTICLES */
  .aside-articles {
    min-width: 33%;
  }

  .aside-articles p {
    font-size: 1rem;
  }

  .aside-articles h3 {
    font-size: 1.1rem;
  }

  .secondary-other-articles article .date {
    margin: 50px 0 50px 0;
  }

  /* MERCH */
  .merch article h3 {
    text-align: left;
  }

  .merch button {
    font-size: 0.8rem;
    padding: 15px 10px;
    width: 250px;
  }

  .offer-container img {
    float: none;
    margin: 15px 25px 10px 0;
    width: 180px;
  }

  /*** FORM ***/
  .form-zone {
    width: 100%;
  }

  .form-list-container {
    display: flex;
    justify-content: space-around;
  }

  .input-flex {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  .form-container form input,
  .form-container form textarea {
    padding: 10px;
    width: 200px;
  }

  .form-container form textarea {
    width: 100%;
  }

  .form-container [placeholder] {
    font-size: 1rem;
  }

  .form-container button {
    font-size: 0.8rem;
    padding: 15px 10px;
    width: 250px;
  }

  /* LIST SOCIAL MEDIA */

  .location ul {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    max-height: 50%;
  }

  .location li {
    font-size: 0.8rem;
    margin-bottom: 30px;
  }

  .location li a:hover {
    color: var(--orange-hover);
  }
  /*** FOOTER ***/
  footer p {
    margin: 40px 0 0 0;
    padding-bottom: 75px;
  }
}

